import Cookies from 'js-cookie';
import { BaseStorage, BaseStorageOptions } from './base';
/**
 * A normalized implementation for Cookie store. It implements the BaseStorage interface
 * which allows developers to easily switch between Cookie, LocalStorage, Memory store
 * or a customized storage. This class is mainly used for commerce-sdk-react library
 * to store authentication tokens.
 */
export declare class CookieStorage extends BaseStorage {
    constructor(options?: BaseStorageOptions);
    set(key: string, value: string, options?: Cookies.CookieAttributes): void;
    get(key: string): string;
    delete(key: string, options?: Cookies.CookieAttributes): void;
}
//# sourceMappingURL=cookie.d.ts.map