import { BaseStorage, BaseStorageOptions } from './base';
/**
 * A normalized implementation for LocalStorage. It implements the BaseStorage interface
 * which allows developers to easily switch between Cookie, LocalStorage, Memory store
 * or a customized storage. This class is mainly used for commerce-sdk-react library
 * to store authentication tokens.
 */
export declare class LocalStorage extends BaseStorage {
    constructor(options?: BaseStorageOptions);
    set(key: string, value: string): void;
    get(key: string): string;
    delete(key: string): void;
}
//# sourceMappingURL=local.d.ts.map