import React from 'react';
import type { Component as ComponentType, Page as PageType } from '../types';
type ComponentMap = {
    [typeId: string]: React.ComponentType<ComponentType & unknown>;
};
interface PageProps extends React.ComponentProps<'div'> {
    page: PageType;
    components: ComponentMap;
}
type PageContextValue = {
    components: ComponentMap;
};
export declare const PageContext: React.Context<PageContextValue | undefined>;
export declare const usePageContext: () => PageContextValue;
/**
 * This component will render a page designer page given its serialized data object.
 *
 * @param {PageProps} props
 * @param {Page} props.region - The page designer page data representation.
 * @param {ComponentMap} props.components - A mapping of typeId's to react components representing the type.
 * @returns {React.ReactElement} - Page component.
 */
export declare const Page: {
    (props: PageProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default Page;
//# sourceMappingURL=index.d.ts.map