import React from 'react';
import PropTypes from 'prop-types';
import { Region as RegionType } from '../types';
/**
 * This PropType represents a `region` object from the ShopperExperience API.
 */
export declare const propType: PropTypes.Requireable<PropTypes.InferProps<{
    id: PropTypes.Requireable<string>;
    components: PropTypes.Requireable<(PropTypes.InferProps<{
        data: PropTypes.Requireable<object>;
        id: PropTypes.Requireable<string>;
        typeId: PropTypes.Requireable<string>;
    }> | null | undefined)[]>;
}>>;
interface RegionProps extends React.ComponentProps<'div'> {
    region: RegionType;
}
/**
 * This component will render a page designer region given its serialized data object.
 *
 * @param {RegionProps} props
 * @param {Region} props.region - The page designer region data representation.
 * @returns {React.ReactElement} - Region component.
 */
export declare const Region: {
    (props: RegionProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
    propTypes: {
        region: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
            id: PropTypes.Requireable<string>;
            components: PropTypes.Requireable<(PropTypes.InferProps<{
                data: PropTypes.Requireable<object>;
                id: PropTypes.Requireable<string>;
                typeId: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
        }>>>;
        className: PropTypes.Requireable<string>;
    };
};
export default Region;
//# sourceMappingURL=index.d.ts.map