import { ApiClients } from '../../hooks/types';
/** Detects whether the storefront is running in an iframe as part of Storefront Preview.
 * @private
 */
export declare const detectStorefrontPreview: () => boolean;
/**
 * Returns the URL to load the Storefront Preview client script from the parent origin.
 * The client script is served from Runtime Admin and is not a part of the PWA Retail React App bundle.
 * @private
 */
export declare const getClientScript: () => string;
export declare const CustomPropTypes: {
    /**
     * This custom PropType ensures that the prop is only required when the known prop
     * "enabled" is set to "true".
     *
     * @param props
     * @param propName
     * @param componentName
     * @returns
     */
    requiredFunctionWhenEnabled: (props: any, propName: any, componentName: any) => Error | undefined;
};
/**
 * Via the built-in Proxy object, modify the behaviour of each request for the given SCAPI clients
 * @private
 */
export declare const proxyRequests: (clients: ApiClients, handlers: ProxyHandler<any>) => void;
//# sourceMappingURL=utils.d.ts.map