import { ShopperBaskets } from 'commerce-sdk-isomorphic';
import { Argument, ExcludeTail } from '../types';
type Client = ShopperBaskets<{
    shortCode: string;
}>;
type Params<T extends keyof QueryKeys> = Partial<Argument<Client[T]>['parameters']>;
export type QueryKeys = {
    getBasket: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/baskets/',
        string | undefined,
        Params<'getBasket'>
    ];
    getPaymentMethodsForBasket: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/baskets/',
        string | undefined,
        '/payment-methods',
        Params<'getPaymentMethodsForBasket'>
    ];
    getPriceBooksForBasket: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/baskets/',
        string | undefined,
        '/price-books',
        Params<'getPriceBooksForBasket'>
    ];
    getShippingMethodsForShipment: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/baskets/',
        string | undefined,
        '/shipments/',
        string | undefined,
        '/shipping-methods',
        Params<'getShippingMethodsForShipment'>
    ];
    getTaxesFromBasket: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/baskets/',
        string | undefined,
        '/taxes',
        Params<'getTaxesFromBasket'>
    ];
};
type QueryKeyHelper<T extends keyof QueryKeys> = {
    /** Generates the path component of the query key for an endpoint. */
    path: (params: Params<T>) => ExcludeTail<QueryKeys[T]>;
    /** Generates the full query key for an endpoint. */
    queryKey: (params: Params<T>) => QueryKeys[T];
};
export declare const getBasket: QueryKeyHelper<'getBasket'>;
export declare const getPaymentMethodsForBasket: QueryKeyHelper<'getPaymentMethodsForBasket'>;
export declare const getPriceBooksForBasket: QueryKeyHelper<'getPriceBooksForBasket'>;
export declare const getShippingMethodsForShipment: QueryKeyHelper<'getShippingMethodsForShipment'>;
export declare const getTaxesFromBasket: QueryKeyHelper<'getTaxesFromBasket'>;
export {};
//# sourceMappingURL=queryKeyHelpers.d.ts.map