import { ShopperExperience } from 'commerce-sdk-isomorphic';
import { Argument, ExcludeTail } from '../types';
type Client = ShopperExperience<{
    shortCode: string;
}>;
type Params<T extends keyof QueryKeys> = Partial<Argument<Client[T]>['parameters']>;
export type QueryKeys = {
    getPages: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/pages',
        Params<'getPages'>
    ];
    getPage: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/pages/',
        string | undefined,
        Params<'getPage'>
    ];
};
type QueryKeyHelper<T extends keyof QueryKeys> = {
    /** Generates the path component of the query key for an endpoint. */
    path: (params: Params<T>) => ExcludeTail<QueryKeys[T]>;
    /** Generates the full query key for an endpoint. */
    queryKey: (params: Params<T>) => QueryKeys[T];
};
export declare const getPages: QueryKeyHelper<'getPages'>;
export declare const getPage: QueryKeyHelper<'getPage'>;
export {};
//# sourceMappingURL=queryKeyHelpers.d.ts.map