import { ShopperSearch } from 'commerce-sdk-isomorphic';
import { Argument, ExcludeTail } from '../types';
type Client = ShopperSearch<{
    shortCode: string;
}>;
type Params<T extends keyof QueryKeys> = Partial<Argument<Client[T]>['parameters']>;
export type QueryKeys = {
    productSearch: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/product-search',
        Params<'productSearch'>
    ];
    getSearchSuggestions: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/search-suggestions',
        Params<'getSearchSuggestions'>
    ];
};
type QueryKeyHelper<T extends keyof QueryKeys> = {
    /** Generates the path component of the query key for an endpoint. */
    path: (params: Params<T>) => ExcludeTail<QueryKeys[T]>;
    /** Generates the full query key for an endpoint. */
    queryKey: (params: Params<T>) => QueryKeys[T];
};
export declare const productSearch: QueryKeyHelper<'productSearch'>;
export declare const getSearchSuggestions: QueryKeyHelper<'getSearchSuggestions'>;
export {};
//# sourceMappingURL=queryKeyHelpers.d.ts.map