import { ShopperSeo } from 'commerce-sdk-isomorphic';
import { Argument, ExcludeTail } from '../types';
type Client = ShopperSeo<{
    shortCode: string;
}>;
type Params<T extends keyof QueryKeys> = Partial<Argument<Client[T]>['parameters']>;
export type QueryKeys = {
    getUrlMapping: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/url-mapping',
        Params<'getUrlMapping'>
    ];
};
type QueryKeyHelper<T extends keyof QueryKeys> = {
    /** Generates the path component of the query key for an endpoint. */
    path: (params: Params<T>) => ExcludeTail<QueryKeys[T]>;
    /** Generates the full query key for an endpoint. */
    queryKey: (params: Params<T>) => QueryKeys[T];
};
export declare const getUrlMapping: QueryKeyHelper<'getUrlMapping'>;
export {};
//# sourceMappingURL=queryKeyHelpers.d.ts.map