import { ShopperStores } from 'commerce-sdk-isomorphic';
import { Argument, ExcludeTail } from '../types';
type Client = ShopperStores<{
    shortCode: string;
}>;
type Params<T extends keyof QueryKeys> = Partial<Argument<Client[T]>['parameters']>;
export type QueryKeys = {
    searchStores: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/store-search',
        Params<'searchStores'>
    ];
    getStores: [
        '/commerce-sdk-react',
        '/organizations/',
        string | undefined,
        '/stores',
        Params<'getStores'>
    ];
};
type QueryKeyHelper<T extends keyof QueryKeys> = {
    /** Generates the path component of the query key for an endpoint. */
    path: (params: Params<T>) => ExcludeTail<QueryKeys[T]>;
    /** Generates the full query key for an endpoint. */
    queryKey: (params: Params<T>) => QueryKeys[T];
};
export declare const searchStores: QueryKeyHelper<'searchStores'>;
export declare const getStores: QueryKeyHelper<'getStores'>;
export {};
//# sourceMappingURL=queryKeyHelpers.d.ts.map