import { ApiOptions, ApiMethod } from './types';
/**
 * Creates a method that waits for authentication to complete and automatically includes an
 * Authorization header when making requests.
 *
 * Also inserts a retry if the authentication token was invalidated
 *
 * @param method Bound API method
 * @internal
 */
export declare const useAuthorizationHeader: <Options extends ApiOptions<Record<string, unknown>, unknown[] | Record<string, unknown> | undefined, Record<string, string>>, Data>(method: ApiMethod<Options, Data>) => ApiMethod<Options, Data>;
//# sourceMappingURL=useAuthorizationHeader.d.ts.map