export type CustomerType = null | 'guest' | 'registered';
type useCustomerType = {
    customerType: CustomerType;
    isGuest: boolean;
    isRegistered: boolean;
    isExternal: boolean;
};
/**
 * A hook to return customer auth type.
 *
 * Customer type can have 3 values:
 * - null
 * - guest
 * - registered
 *
 * During initialization, type is null. And it is possible that
 * isGuest and isRegistered to both be false.
 *
 * @group Helpers
 * @category Shopper Authentication
 *
 */
declare const useCustomerType: () => useCustomerType;
export default useCustomerType;
//# sourceMappingURL=useCustomerType.d.ts.map