import { ShopperLoginTypes } from 'commerce-sdk-isomorphic';
type TokenResponse = ShopperLoginTypes.TokenResponse;
type UseTrustedAgent = {
    isAgent: boolean;
    agentId: string | null;
    loginId: string | null;
    login: (loginId?: string, usid?: string) => Promise<TokenResponse>;
    logout: () => Promise<TokenResponse>;
};
export declare const createTrustedAgentPopup: (url: string, isRefresh?: boolean, timeoutMinutes?: number, refreshTimeoutFocusMinutes?: number) => Promise<{
    code: string;
    state: string;
}>;
/**
 * A hook to return trusted agent state.
 *
 * @group Helpers
 * @category Shopper Authentication
 * @experimental
 *
 */
declare const useTrustedAgent: () => UseTrustedAgent;
export default useTrustedAgent;
//# sourceMappingURL=useTrustedAgent.d.ts.map